classification
Title: 2to3 fixer to rename markupbase to _markupbase
Type: behavior Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: brett.cannon, collinwinter, quentin.gallet-gilles
Priority: release blocker Keywords: patch

Created on 2008-05-15 09:42 by quentin.gallet-gilles, last changed 2008-05-22 06:51 by quentin.gallet-gilles. This issue is now closed.

Files
File name Uploaded Description Edit
markupbase_import_fixer.patch quentin.gallet-gilles, 2008-05-21 09:07 patch against 2to3 trunk (r63516)
Messages (9)
msg66850 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-15 09:41
Before applying the attached patch, the command 'svn move
Lib/markupbase.py Lib/_markupbase.py" must be invoked. 
Little reminder : since the changes are already applied in the 3.0
codebase, the patch should also be blocked from the py3k branch.

I'll also add another patch with the 2to3 import fixer.
msg66851 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-15 09:53
Updated patch : I forgot to add a check in test___all__
msg66853 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-15 10:02
Actually, the test___all__ check is an error since _markupbase has no
__all__ attribute. I've restored the first version of the patch.
msg66875 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-15 18:43
Added as a dependency on issue 2775 so as to not lose this patch.
msg67087 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:16
This does not need to happen in 2.6; only 3.0.
msg67108 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-20 07:17
I'll update the patches to reflect that.
msg67151 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-21 09:07
Well, there's only the fixer to apply.
msg67178 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-22 03:18
Applied in r63533 to 2to3 in the fixer. I also added you, Quentin to 
Misc/ACKS in the trunk.
msg67181 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-22 06:50
Thanks Brett. About the Misc/ACKS file I promise I'll contribute more than
just an import fixer !

On Thu, May 22, 2008 at 5:19 AM, Brett Cannon <report@bugs.python.org>
wrote:

>
> Brett Cannon <brett@python.org> added the comment:
>
> Applied in r63533 to 2to3 in the fixer. I also added you, Quentin to
> Misc/ACKS in the trunk.
>
> ----------
> resolution:  -> accepted
> status: open -> closed
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2861>
> __________________________________
> _______________________________________________
> Python-bugs-list mailing list
> Unsubscribe:
> http://mail.python.org/mailman/options/python-bugs-list/qgallet%40gmail.com
>
>
History
Date User Action Args
2008-05-22 06:51:04quentin.gallet-gillessetfiles: - unnamed
2008-05-22 06:50:28quentin.gallet-gillessetfiles: + unnamed
messages: + msg67181
2008-05-22 03:19:24brett.cannonunlinkissue2775 dependencies
2008-05-22 03:19:02brett.cannonsetstatus: open -> closed
resolution: accepted
messages: + msg67178
2008-05-21 09:07:28quentin.gallet-gillessetfiles: + markupbase_import_fixer.patch
messages: + msg67151
components: - Library (Lib)
title: Patch to rename markupbase to _markupbase -> 2to3 fixer to rename markupbase to _markupbase
2008-05-21 09:03:47quentin.gallet-gillessetfiles: - markupbase_renaming_2.6.patch
2008-05-21 09:03:38quentin.gallet-gillessetfiles: - markupbase_import_fixer.patch
2008-05-20 07:17:05quentin.gallet-gillessetmessages: + msg67108
2008-05-20 04:16:44brett.cannonsetmessages: + msg67087
versions: + Python 3.0, - Python 2.6
2008-05-16 04:42:40brett.cannonsetpriority: release blocker
2008-05-15 18:44:05brett.cannonsetnosy: + brett.cannon
messages: + msg66875
2008-05-15 18:43:38brett.cannonlinkissue2775 dependencies
2008-05-15 10:04:12quentin.gallet-gillessetfiles: - markupbase_renaming_2.6.patch
2008-05-15 10:02:29quentin.gallet-gillessetfiles: + markupbase_renaming_2.6.patch
messages: + msg66853
2008-05-15 09:54:15quentin.gallet-gillessetfiles: - markupbase_renaming_2.6.patch
2008-05-15 09:53:28quentin.gallet-gillessetfiles: + markupbase_renaming_2.6.patch
messages: + msg66851
2008-05-15 09:43:34quentin.gallet-gillessetfiles: + markupbase_import_fixer.patch
2008-05-15 09:42:14quentin.gallet-gillescreate